/* 	
*/
#include <stdint.h>
#include <sys/types.h>
#include "plugins.h"
#include "gpu.h"

extern long GPUopen(void);
extern long GPUinit(void);
extern long GPUshutdown(void);
extern long GPUclose(void);
extern void GPUwriteStatus(unsigned long a);
extern void GPUwriteData(unsigned long a);
extern void GPUwriteDataMem(unsigned long *a, int b);
extern void GPUreadDataMem(unsigned long *a, int b);
extern unsigned long GPUreadStatus(void) ;
extern unsigned long GPUreadData(void);
extern long GPUdmaChain(unsigned long *a ,unsigned long b) ;
extern void GPUupdateLace(void);

long GPU_open(void) { 
	return GPUopen(); 
}

long GPU_init(void) { return GPUinit(); }
long GPU_shutdown(void) { return GPUshutdown(); }
long GPU_close(void) { return GPUclose(); }
void GPU_writeStatus(unsigned long a){ GPUwriteStatus(a);}
extern "C" void GPU_writeData(unsigned long a){ GPUwriteData(a); }
void GPU_writeDataMem(unsigned long *a, int b){ GPUwriteDataMem(a,b); };
void GPU_readDataMem(unsigned long *a, int b){ GPUreadDataMem(a,b); };
extern  "C" unsigned long GPU_readStatus(void) { return GPUreadData(); }
unsigned long GPU_readData(void) { return GPUreadStatus(); }
long GPU_dmaChain(unsigned long *a ,unsigned long b) { return GPUdmaChain(a,b); }
void GPU_updateLace(void) { return GPUupdateLace(); }
